Subject: bug#22526: 25.0.90; Crash starting gnus

From: Andy Moreton <[email-masked]>
Date: Tue, 16 Feb 2016 01:18:51 +0000

On Sat 13 Feb 2016, Andy Moreton wrote:

> On 13/02/2016 15:52, Eli Zaretskii wrote:
>> Thanks.  Please run Emacs under GDB, and see if you get any of the
>> debug printouts in mmap_alloc and mmap_realloc when this problem
>> happens (if it happens).
>
> I now have an emacs built from changeset d97f522d3d3f with your patch.
> After a few runs, I now have a gdb session with:
>
> warning: realloc enlarge: VirtualAlloc error 87
>
> Program received signal SIGSEGV, Segmentation fault.
> 0x000000040017209c in make_gap_larger (nbytes_added=0x1000) at
> ../../src/insdel.c:411
> 411       *(Z_ADDR) = 0;
>
> I will keep the gdb session running for further debugging.
>
>     AndyM

More recent runs, built from changeset d4b93e11a519 no longer seem to
reproduce this problem.

    AndyM